> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Delete an OAuth Application

DELETE https://api.contentful.com/users/{user_id}/oauth_applications/{oauth_application_id}

This endpoint deletes a specific OAuth application.

Reference: https://contentful.com/developers/docs/references/content-management-api/oauth-applications/delete-an-o-auth-application

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `user_id` (string, required) — The ID of the user in string format.
- `oauth_application_id` (string, required) — The ID of the OAuth Application in string format.

## Response

### 200

OK - Request successful

- `map from string to any`

## Examples

**Response**

```json
{
  "clientId": "pCEicdinud1qEh9qXwIsbdjYEwHnPdbtbJ2iBfusghdj",
  "clientSecret": "JdGHtinud1qEh9qXwIOzjYEwHnPdbtbJ2iBfaj9hs",
  "confidential": true,
  "description": "My OAuth Application Description",
  "name": "My OAuth Application",
  "redirectUri": "https://redirect.uri.com",
  "scopes": [
    "content_management_manage"
  ],
  "sys": {
    "createdAt": "2025-01-10T11:29:46.809Z",
    "id": "exampleOAuthApplicationId",
    "lastUsedAt": null,
    "type": "Application",
    "updatedAt": "2025-01-10T11:29:46.809Z",
    "version": 0
  }
}
```

**SDK Code**

```android Android
SDK currently doesn't implement this endpoint.
```

```java Java
SDK currently doesn't implement this endpoint.
```

```kotlin Kotlin
SDK currently doesn't implement this endpoint.
```

```swift Swift
We currently don't provide a CMA SDK for this platform.
```

```js-legacy JavaScript (legacy)
import { createClient } from 'contentful-management'

const client = createClient({
  accessToken: '<content_management_api_key>'
}, { type: 'legacy' })

client.getOAuthApplication({userId: '<user_id>', oauthApplicationId: '<oauth_application_id>'})
.then((oauthApplication) => oauthApplication.delete())
.then(() => console.log('Successfully deleted'))
.catch(console.error)
```

```javascript JavaScript
import { createClient } from 'contentful-management'

// Client init
const client = createClient({
  accessToken: '<content_management_api_key>'
})

const oauthApplication = await client.oauthApplication.delete({userId: '<user_id>', oauthApplicationId: '<oauth_application_id>'})
```

```php PHP
SDK currently doesn't implement this endpoint.
```

```ruby Ruby
SDK currently doesn't implement this endpoint.
```

```python Python
SDK currently doesn't implement this endpoint.
```

```.net .NET
SDK currently doesn't implement this endpoint.
```